POSTgetindexinfo

Bitcoin Mainnethttps://bitcoin-mainnet.nodit.io/

Returns the sync status of one or all indices currently running in the node. Pass an index name to query that index only, or omit it to query every index.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required

It contains following parameter:

  1. index_name: The name of the index to query, as a string. (optional, every index is queried when omitted)
params[0]string

The name of the index to query. Every index is returned when omitted.

Responses

응답 본문이 없습니다.

X-API-KEY
RequestCU10
cURL
curl -X POST "https://bitcoin-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "id": 1,
  "jsonrpc": "2.0",
  "method": "getindexinfo",
  "params": [
    "txindex"
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "txindex": {
      "synced": true,
      "best_block_height": 920000
    }
  }
}